## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csDirectionalLightProc< AttenuationProc >::PerVertex Member List

This is the complete list of members for csDirectionalLightProc< AttenuationProc >::PerVertex, including all inherited members.

Attenuation() const | csDirectionalLightProc< AttenuationProc >::PerVertex | `[inline]`
DiffuseAttenuated() const | csDirectionalLightProc< AttenuationProc >::PerVertex | `[inline]`
IsLit() const | csDirectionalLightProc< AttenuationProc >::PerVertex | `[inline]`
LightDirection() const | csDirectionalLightProc< AttenuationProc >::PerVertex | `[inline]`
LightInvDistance() const | csDirectionalLightProc< AttenuationProc >::PerVertex | `[inline]`
PerVertex(const csDirectionalLightProc &parent, const csVector3 &v, const csVector3 &n) | csDirectionalLightProc< AttenuationProc >::PerVertex | `[inline]`